ModuleDependency (Gradle API 2.14)
Date: 2016-06-14

Package: org.gradle.plugins.ide.idea.model

## [Java] Class ModuleDependency

- org.gradle.plugins.ide.idea.model.ModuleDependency

- All Implemented Interfaces and Traits:
    Dependency

      public class ModuleDependency
      extends groovy.lang.GroovyObjectSupport

  Represents an orderEntry of type module in the iml XML.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ModuleDependency (String name, String scope)`
    `ModuleDependency (Object name, Object scope)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `addToNode(groovy.util.Node parentNode)`
    `boolean` | `equals(Object o)`
    `boolean` | `getExported()`
    `String` | `getGradlePath()`
    `String` | `getName()` The name of the module the module depends on.
    `String` | `getScope()` The scope for this dependency.
    `int` | `hashCode()`
    `boolean` | `isExported()`
    `void` | `setExported(boolean exported)`
    `void` | `setGradlePath(String gradlePath)`
    `void` | `setName(String name)`
    `void` | `setScope(String scope)`
    `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public ModuleDependency(String name, String scope)

    - #### @Deprecated public ModuleDependency(Object name, Object scope)

  - ### Method Detail

    - #### @Override public void addToNode(groovy.util.Node parentNode)

    - #### @Override public boolean equals(Object o)

    - #### public boolean getExported()

    - #### @Incubating public String getGradlePath()

    - #### public String getName()

      The name of the module the module depends on. Must not be null.

    - #### public String getScope()

      The scope for this dependency. If null the scope attribute is not added.

    - #### @Override public int hashCode()

    - #### public boolean isExported()

    - #### public void setExported(boolean exported)

    - #### @Incubating public void setGradlePath(String gradlePath)

    - #### public void setName(String name)

    - #### public void setScope(String scope)

    - #### @Override public String toString()